<script>
import Select from "@/components/Select.vue";
import BScroll from "better-scroll";
import MainDialog from "@/components/dialog/MainDialog.vue";
import SvgIcon from "@/components/SvgIcon.vue";

export default {
  name: "More",
  components: { MainDialog, Select, SvgIcon },
  data() {
    return {
      showTime: false,
      showTimeZone: false,
      showUnit: false,
      showInput: false,
      showInput1: false,
    }
  },
  mounted() {
    this.init()
  },
  beforeDestroy() {
    this.bs.destroy()
  },
  methods: {
    init() {
      this.bs = new BScroll(this.$refs.scrolll, {
        quadrant: 2,
        click: true
      });
    },
  }
}
</script>

<template>
  <div class="custom-body">
    <div class="scroll-wrapper" ref="scrolll">
      <div class="card-body">
        <div class="card-group">
          <u-card left-text="时间自动同步">
            <template #right>
              <u-switch value="value" />
            </template>
          </u-card>

          <u-card left-text="时间" right-text="2022年11月30日 12:30" right-text-color="#9E9E9E" is-arrow @onClick="showTime = true" />

          <u-card class="custom-card" left-text="时区" right-text-color="#9E9E9E" is-arrow @onClick="showTimeZone = true">
            <template #right>
              <div class="text">
                <span>GMT+08:00</span>
                <span>中国标准时间</span>
              </div>
            </template>
          </u-card>

          <div class="w-full flex flex-column temp">
            <span>时制</span>

            <Select :options="['24h', '12h']" :selected-index="0" />
          </div>
        </div>

        <div class="card-group">
          <u-card left-text="语言" right-text="简体中文" is-arrow @onClick="showInput1 = true" />
          <u-card left-text="默认输入法" is-arrow @onClick="showInput = true" />
          <u-card left-text="百度输入法" is-arrow @onClick="showInput = true" />
        </div>

        <u-card class="mb-1" shadow left-text="单位" is-arrow @onClick="showUnit = true" />
        <u-card class="mb-1" shadow left-text="用户协议" is-arrow @onClick="$router.push('/agreement')" />
        <u-card class="mb-1" shadow left-text="隐私政策" is-arrow @onClick="$router.push('/agreement')" />
      </div>
    </div>

    <img
      src="../../assets/images/setting/more/img.webp"
      alt=""
      class="img-signal"
    />

    <MainDialog
      title="手动设置时间"
      :bottom-array="[{ name: '确定' , color: '#4393EE' }, {name: '取消', color: '#000000'}]"
      :width="909"
      :dialog-visible="showTime"
      class="time-dialog"
      @changeVisble="e => showTime = e"
    >
      <template #content>
        <div class="flex flex-center flex-center-column">
          <img src="../../assets/images/setting/more/img_1.webp" alt="" />
        </div>
      </template>
    </MainDialog>

    <MainDialog
      title="选择时区"
      :bottom-array="[{ name: '确定' , color: '#4393EE' }, {name: '取消', color: '#000000'}]"
      :width="909"
      :dialog-visible="showTimeZone"
      class="timezone-dialog"
      @changeVisble="e => showTimeZone = e"
    >
      <template #content>
        <div class="w-full flex flex-column">
          <div class="flex flex-jcs flex-center flex-center-column">
            <span>曼谷</span>
            <span>GMT+07:00</span>
          </div>
          <div class="flex flex-jcs flex-center flex-center-column">
            <span>雅加大</span>
            <span>GMT+07:00</span>
          </div>
          <div class="flex flex-jcs flex-center flex-center-column">
            <span style="color: #4192EE;">北京</span>
            <span style="color: #4192EE;">GMT+07:00</span>
          </div>
          <div class="flex flex-jcs flex-center flex-center-column">
            <span>香港（中国）</span>
            <span>GMT+07:00</span>
          </div>
          <div class="flex flex-jcs flex-center flex-center-column">
            <span>伊尔库次克</span>
            <span>GMT+07:00</span>
          </div>
        </div>
      </template>
    </MainDialog>

    <MainDialog
      title="单位"
      :width="909"
      :dialog-visible="showUnit"
      class="unit-dialog"
      is-close
      @changeVisble="e => showUnit = e"
      @close="e => showUnit = e"
    >
      <template #right>
        <div class="custom-button">
          <span>默认值</span>
        </div>
      </template>
      <template #content>
        <div class="w-full flex flex-column">
          <div class="flex flex-jcs mb-2 flex-center-column flex-center">
            <span>距离</span>
            <Select :options="['km', 'mile']" background="#D3DCE6" :selected-index="0" />
          </div>
          <div class="flex flex-jcs mb-2 flex-center-column flex-center">
            <span>功率</span>
            <Select :options="['HP', 'KW']" background="#D3DCE6" :selected-index="0" />
          </div>
          <div class="flex flex-jcs mb-2 flex-center-column flex-center">
            <span>温度</span>
            <Select :options="['º F', 'º C']" background="#D3DCE6" :selected-index="0" />
          </div>
          <div class="flex flex-jcs mb-6 flex-center-column flex-center">
            <span>气压</span>
            <Select :options="['KPa', 'bar', 'psi']" background="#D3DCE6" :selected-index="0" />
          </div>
        </div>
      </template>
    </MainDialog>

    <MainDialog
      title="输入法设置"
      :bottom-array="[{ name: '确定' , color: '#4393EE' }, {name: '取消', color: '#000000'}]"
      :width="909"
      :dialog-visible="showInput"
      class="input-dialog"
      @changeVisble="e => showInput = e"
    >
      <template #content>
        <div class="w-full">
          <div class="flex flex-center flex-center-column mb-6">
            <SvgIcon icon-class="ic_sel" :width="35" :height="35" />
            <span>百度输入法</span>
          </div>
          <div class="flex flex-center flex-center-column">
            <SvgIcon icon-class="circle" :width="35" :height="35" />
            <span>搜狗输入法</span>
          </div>
        </div>
      </template>
    </MainDialog>

    <MainDialog
      title="语言设置"
      :bottom-array="[{ name: '确定' , color: '#4393EE' }, {name: '取消', color: '#000000'}]"
      :width="909"
      :dialog-visible="showInput1"
      class="input-dialog"
      @changeVisble="e => showInput1 = e"
    >
      <template #content>
        <div class="w-full">
          <div class="flex flex-center flex-center-column mb-6">
            <SvgIcon icon-class="ic_sel" :width="35" :height="35" />
            <span>简体中文</span>
          </div>
          <div class="flex flex-center flex-center-column">
            <SvgIcon icon-class="circle" :width="35" :height="35" />
            <span>English</span>
          </div>
        </div>
      </template>
    </MainDialog>
  </div>
</template>

<style scoped lang="scss">
.input-dialog {
  ::v-deep .dialog-body {
    padding-top: 70px;
    padding-bottom: 100px;

    span {
      font-size: 30px;
      margin-left: 14px;
    }

  }
}
.unit-dialog {
  ::v-deep .right {
    width: 149px;
    height: 47px;
    border-radius: 23.71px;
    opacity: 1;
    color: #4192EE;
    font-size: 24px;
    line-height: 47px;
    box-sizing: border-box;
    border: 2px solid #4192EE;
  }
  span {
    font-size: 30px;
    width: 70px;
    text-align: center;
    white-space: nowrap;
  }
  .select-warp {
    margin-left: 110px;
    height: 70px;
  }
}

.timezone-dialog {
  ::v-deep .dialog-body {
    padding-bottom: 25px;

    div {
      margin-bottom: 20px;

      span:first-child {
        font-size: 30px;
        color: #9E9E9E;
      }

      span:last-child {
        font-size: 40px;
        color: #9E9E9E;
      }
    }
  }
}
.time-dialog {
  ::v-deep .dialog-body {
    padding-bottom: 50px;
  }
  img {
    width: 77%;
    object-fit: contain;
  }
}
.custom-card {
  ::v-deep .card-right > .text {
    color: #9E9E9E;
    font-size: 28px;
    display: flex;
    flex-direction: column;
  }
}
.custom-body {
  display: flex;
  width: 694px;

  .scroll-wrapper {
    width: 100%;
    height: 750px;
    overflow: hidden;
  }

  .card-body {
    width: 100%;

    .card-group {
      border-radius: 21px;
      background: #FFFFFE;
      margin-bottom: 15px;
      box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.03);

      .temp {
        font-size: 30px;
        padding: 0 42px 35px;
        box-sizing: border-box;

        .select-warp {
          margin-top: 19px;
          height: 70px;
        }
      }
    }
  }

  .right {
    flex-grow: 1;
  }
}

.img-signal {
  width: 788px;
  height: 664px;
  position: absolute;
  right: 90px;
  top: 250px;
}
</style>